From 33f9fb209d111813547b65893d59765ebd610acd Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Thu, 10 Sep 2020 03:46:04 +0000
Subject: [PATCH] ntdll: Fix a memory leak (Valgrind).

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/ntdll/env.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dlls/ntdll/env.c b/dlls/ntdll/env.c
index 06e7c1bb37..a888d00349 100644
--- a/dlls/ntdll/env.c
+++ b/dlls/ntdll/env.c
@@ -1246,8 +1246,12 @@ void init_user_process_params(void)
         if (RtlCreateProcessParametersEx( &params, &initial_params.ImagePathName, &dllpath, &curdir,
                                           &cmdline, NULL, &initial_params.ImagePathName, NULL, NULL, NULL,
                                           PROCESS_PARAMS_FLAG_NORMALIZED ))
+        {
+            RtlFreeUnicodeString(&initial_params.ImagePathName);
             return;
+        }
 
+        RtlFreeUnicodeString(&initial_params.ImagePathName);
         params->Environment = env;
         NtCurrentTeb()->Peb->ProcessParameters = params;
         RtlFreeUnicodeString( &cmdline );
-- 
2.20.1

